Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06067 Graphics Minor Always Nov 7, 2015, 14:44 Dec 9, 2015, 00:52
Tester system11 View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver megasys1.cpp
Version 0.167 Fixed in Version 0.169 Build 64-bit
Summary 06067: 64street, 64streetj: 64th Street - missing background graphics interaction
Description Long standing bug I can't actually see a report for. In 64th Street the majority of the backgrounds can be destroyed by throwing enemies into them, half or more of this is missing in MAME, is this anything to do with the priority PROM I dumped a while back - presumably this could be caused if there was an overlay layer appearing behind the normal backgrounds or in front?

Have uploaded a poor quality video which shows this in action:
Steps To Reproduce Every game, throw an enemy into background elements.
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems 64street, 64streetj
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12147
Mamesick
Senior Tester
Nov 8, 2015, 20:27
FWIW, it was the same behaviour also before you dumped the priority PROM and the game used the hand-made priority structures which I personally fixed for this game at least 10 years ago. So my guess is that there's something unemulated in video hardware, probably a sort of sprites-bg collisions detection register that if enabled starts to draw the modified bg layer.
On a side note, the only game that still uses the hand-made priority method is Chimera Beast. It would be great have that PROM dumped too.
User avatar
No.12232
Kale
Developer
Dec 9, 2015, 00:52
Breakable stuff is writing to a VRAM mirror area.